
From: kilobug@freesurf.fr (Gal Le Mignot)

The SiS  DRM modules  are not  available by default,  and need  a very
small patch to compile. Attached with  this mail is a patch that makes
it  work. With this  patch, Tuxracer  works fine  on my  computer, and
glxgears gives  me even a better  frame rate than with  the 2.4 kernel
(XFree 4.3 from Debian IPv6).



 drivers/char/drm/Kconfig  |    9 +++++++++
 drivers/char/drm/Makefile |    3 +++
 drivers/char/drm/sis_mm.c |    3 ++-
 3 files changed, 14 insertions(+), 1 deletion(-)

diff -puN drivers/char/drm/Kconfig~sis-drm-fix drivers/char/drm/Kconfig
--- 25/drivers/char/drm/Kconfig~sis-drm-fix	2003-07-26 01:03:38.000000000 -0700
+++ 25-akpm/drivers/char/drm/Kconfig	2003-07-26 01:03:38.000000000 -0700
@@ -72,3 +72,12 @@ config DRM_MGA
 	  Choose this option if you have a Matrox G200, G400 or G450 graphics
 	  card.  If M is selected, the module will be called mga.  AGP
 	  support is required for this driver to work.
+
+config DRM_SIS
+	tristate "SiS video cards"
+	depends on DRM && AGP
+	help
+	  Choose this option if you have a SiS 630 or compatibel video
+          chipset. If M is selected the module will be called sis. AGP
+          support is required for this driver to work.
+
diff -puN drivers/char/drm/Makefile~sis-drm-fix drivers/char/drm/Makefile
--- 25/drivers/char/drm/Makefile~sis-drm-fix	2003-07-26 01:03:38.000000000 -0700
+++ 25-akpm/drivers/char/drm/Makefile	2003-07-26 01:03:38.000000000 -0700
@@ -10,6 +10,7 @@ i810-objs   := i810_drv.o i810_dma.o
 i830-objs   := i830_drv.o i830_dma.o i830_irq.o
 radeon-objs := radeon_drv.o radeon_cp.o radeon_state.o radeon_mem.o radeon_irq.o
 ffb-objs    := ffb_drv.o ffb_context.o
+sis-objs    := sis_drv.o sis_ds.o sis_mm.o
 
 obj-$(CONFIG_DRM_GAMMA) += gamma.o
 obj-$(CONFIG_DRM_TDFX)	+= tdfx.o
@@ -19,3 +20,5 @@ obj-$(CONFIG_DRM_MGA)	+= mga.o
 obj-$(CONFIG_DRM_I810)	+= i810.o
 obj-$(CONFIG_DRM_I830)	+= i830.o
 obj-$(CONFIG_DRM_FFB)   += ffb.o
+obj-$(CONFIG_DRM_SIS)   += sis.o
+
diff -puN drivers/char/drm/sis_mm.c~sis-drm-fix drivers/char/drm/sis_mm.c
--- 25/drivers/char/drm/sis_mm.c~sis-drm-fix	2003-07-26 01:03:38.000000000 -0700
+++ 25-akpm/drivers/char/drm/sis_mm.c	2003-07-26 01:03:38.000000000 -0700
@@ -28,8 +28,9 @@
  * 
  */
 
+#include <linux/config.h>
 #include "sis.h"
-#include <linux/sisfb.h>
+#include "video/sisfb.h"
 #include "drmP.h"
 #include "sis_drm.h"
 #include "sis_drv.h"

_
